Subject: bug#52558: Option for easier typing of regexps

From: Juri Linkov <[email-masked]>
Date: Sun, 23 Jan 2022 20:09:11 +0200

>>>> -	    (isearch-regexp-function (or delimited-flag
>>>> +	    (isearch-regexp-function (or replace-regexp-function
>>>> +                                         delimited-flag
>>>>  					 (and replace-char-fold
>>>
>>> Re-skimming this thread, I think these extensions make sense, so perhaps
>>> you should just push them?  (With a NEWS item, I guess.)
>>
>> This patch was pushed, but does it really need a NEWS item?
>> It was intended as a basis for a new user-facing feature
>> that could be now implemented and described in NEWS.
>
> What was the new user-facing feature?  I thought the point of this was
> to just allow users to implement their own replace-regexp-function and
> have it work more consistently, which your change fixed...

This means that after adding a NEWS item this feature request can be closed?